Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.alm
Interface IALChannelDescription

All Superinterfaces:
  IALNodeDescription, IALNodeProperties, IUserLayoutChannelDescription, IUserLayoutNodeDescription

All Known Implementing Classes:
  ALChannelDescription

    public interface IALChannelDescription

extends IUserLayoutChannelDescription, IALNodeDescription

An Aggregated Layout channel description. Prior to uPortal 2.5, this class existed in the package org.jasig.portal.layout. It was moved to its present package to reflect that it is part of Aggregated Layouts.

Version:
  1.0 $Revision: 1.2 $ $Date: 2005/05/11 16:05:25 $
Author:
  Peter Kharchenko

Field Summary

Fields inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`CHANNEL, FOLDER`

Fields inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`CHANNEL, FOLDER`

Method Summary

Methods inherited from interface org.jasig.portal.layout.node.IUserLayoutChannelDescription
`canOverrideParameter, clearParameters, containsParameter, getChannelPublishId, getChannelSubscribeId, getChannelTypeId, getClassName, getDescription, getFunctionalName, getParameterMap, getParameterNames, getParameterOverrideValue, getParameterValue, getParameterValues, getTimeout, getTitle, getXML, hasAbout, hasHelp, hasParameters, isEditable, isPortlet, isSecure, numberOfParameters, remove, setChannelPublishId, setChannelSubscribeId, setChannelTypeId, setClassName, setDescription, setEditable, setFunctionalName, setHasAbout, setHasHelp, setIsSecure, setParameterOverride, setParameterValue, setTimeout, setTitle`

Methods inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`addNodeAttributes, getId, getName, getPrecedence, getType, isAddChildAllowed, isDeleteAllowed, isEditAllowed, isHidden, isImmutable, isMoveAllowed, isUnremovable, setAddChildAllowed, setDeleteAllowed, setEditAllowed, setHidden, setId, setImmutable, setMoveAllowed, setName, setPrecedence, setUnremovable`

Methods inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`addNodeAttributes, getId, getName, getPrecedence, getType, isAddChildAllowed, isDeleteAllowed, isEditAllowed, isHidden, isImmutable, isMoveAllowed, isUnremovable, setAddChildAllowed, setDeleteAllowed, setEditAllowed, setHidden, setId, setImmutable, setMoveAllowed, setName, setPrecedence, setUnremovable`

Methods inherited from interface org.jasig.portal.layout.alm.IALNodeProperties
`addRestriction, addRestrictionChildren, getFragmentId, getFragmentNodeId, getGroup, getRestriction, getRestrictions, getRestrictionsByPath, setFragmentId, setFragmentNodeId, setGroup, setRestrictions`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD